Results 1 to 9 of 9

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: 3GS - iOS 4.0 - 04.26.08

  1. #1
    Default 3GS - iOS 4.0 - 04.26.08
    I have a 3GS with iOS 4.0, baseband 04.26.08.

    Which iOS firmware version should I upgrade to that I also can have the ultrasn0w unlock?

    Thank you

  2. #2
    Super Galactic Moderator Orby's Avatar
    Join Date
    Aug 2010
    Location
    Omicron Persei Eight
    Posts
    5,748
    Thanks
    40
    Thanked 632 Times in 556 Posts

    First question: what versions of iOS do you have SHSH blobs saved for?

    Anything with iOS 4 or 5 will be perfectly suitable with Cydia's saved blobs. iOS 6 is a trickier beast, as the blobs saved by Cydia or TinyUmbrella are probably invalid--your blobs will have to have been saved via redsn0w or iFaith for them to be usable.

    All this only applies if you have a new-bootrom device by the way (with a 04.26.08 baseband I imagine you likely have an old-bootrom device). If you have an old-bootrom device, you can cook up whatever custom firmware you want via sn0wbreeze (you shouldn't even need SHSH blobs) and you'll preserve the baseband plus have an untethered jailbreak.

  3. The Following User Says Thank You to Orby For This Useful Post:

    misterdobi (05-23-2013)

  4. #3
    I don't have any SHSH blobs saved. I think I have an old bootrom device from what I remember. Is it better to update to the latest firmware or is it ok to update to whichever firmware I choose? I'm trying to go for 5.11.

    I go to iClarified for the tutorials and couldn't find the tutorial for 3GS updating to 5.11 using sn0wbreeze. I see redsn0w and absinthe.

    Thanks.

  5. #4
    Super Galactic Moderator Orby's Avatar
    Join Date
    Aug 2010
    Location
    Omicron Persei Eight
    Posts
    5,748
    Thanks
    40
    Thanked 632 Times in 556 Posts

    Quote Originally Posted by misterdobi View Post
    I don't have any SHSH blobs saved. I think I have an old bootrom device from what I remember. Is it better to update to the latest firmware or is it ok to update to whichever firmware I choose? I'm trying to go for 5.11.

    I go to iClarified for the tutorials and couldn't find the tutorial for 3GS updating to 5.11 using sn0wbreeze. I see redsn0w and absinthe.

    Thanks.
    We need to resolve the bootrom question first. Connect your device to your computer and enter DFU mode. Open up System Information (OS X: Apple icon in the top-left corner -> About this Mac -> More Info... -> System Report -> USB) or Device Manager (Windows XP/Vista/7: Right-click "Computer" -> Properties -> Hardware tab -> Device Manager -> Universal Serial Bus (USB) Controller -> Look for Apple Mobile DFU Driver, right click -> Properties -> Details -> Device Instance ID). Once you've found this data, look for "IBOOT" in the text: if the version number is IBOOT-359.3, then you have an old-bootrom phone. If it's IBOOT-359.3.2, then you have a new bootrom phone.

    If you've got no SHSH blobs, then our options are severely limited as to what firmwares we can go to, unless we've got an old-bootrom phone.

  6. The Following User Says Thank You to Orby For This Useful Post:

    misterdobi (05-24-2013)

  7. #5
    I just checked and it is indeed the old bootrom, -359.3.

    Does this mean I can upgrade to whichever version I want?

    Thanks

  8. #6
    Super Galactic Moderator Orby's Avatar
    Join Date
    Aug 2010
    Location
    Omicron Persei Eight
    Posts
    5,748
    Thanks
    40
    Thanked 632 Times in 556 Posts

    Quote Originally Posted by misterdobi View Post
    I just checked and it is indeed the old bootrom, -359.3.

    Does this mean I can upgrade to whichever version I want?

    Thanks
    Use sn0wbreeze, downloadable at ih8sn0w.com, and build your custom iOS 5.1.1 IPSW (or whatever other version you'd like). I'd personally suggest Simple Mode after you've selected your IPSW and old-bootrom status, then enter Pwned DFU and do an iTunes Shift+Restore once you've got a custom IPSW built and you're in Pwned DFU.

  9. The Following User Says Thank You to Orby For This Useful Post:

    misterdobi (05-24-2013)

  10. #7
    I don't actually I know how to get into Simple Mode. Do you happen to have a link for the steps to upgrade this?

    I think this link would work?
    How To Preserve iPhone 4/3GS Baseband & Update To iOS 5.1.1 With Sn0wBreeze

  11. #8
    Super Galactic Moderator Orby's Avatar
    Join Date
    Aug 2010
    Location
    Omicron Persei Eight
    Posts
    5,748
    Thanks
    40
    Thanked 632 Times in 556 Posts

    Quote Originally Posted by misterdobi View Post
    I don't actually I know how to get into Simple Mode. Do you happen to have a link for the steps to upgrade this?

    I think this link would work?
    How To Preserve iPhone 4/3GS Baseband & Update To iOS 5.1.1 With Sn0wBreeze
    That tutorial will work, except use the current version of sn0wbreeze (2.9.14, looks nearly identical), and choose "Simple Mode" instead of "Baseband Preservation Mode" when you get to that point in the tutorial.

  12. The Following User Says Thank You to Orby For This Useful Post:

    misterdobi (05-26-2013)

  13. #9
    It worked. I will reconsider if I should go to iOS 6 or just use 5.1.1.

    Thanks for the help.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •